Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 430418 - Review Request: gt - Modified Timidity which supportes enhanced gus format patches
Summary: Review Request: gt - Modified Timidity which supportes enhanced gus format pa...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 430417
TreeView+ depends on / blocked
 
Reported: 2008-01-27 22:02 UTC by Hans de Goede
Modified: 2008-02-01 10:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-01 10:39:01 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2008-01-27 22:02:25 UTC
Spec URL: http://people.atrpms.net/~hdegoede/gt.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gt-0.4-1.fc9.src.rpm
Description:
Modified timidity midi player which supportes enhanced gus format patches and
surround audio output.

Comment 1 Mamoru TASAKA 2008-01-28 14:05:32 UTC
* Rebuild failed on ppc64.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=377985
  But it succeeds on i386 and x86_64??

* By the way from what the name "soundfont-utils" came?
  IMO this name is too different from the name of the "main" package
  "gt".

Comment 2 Hans de Goede 2008-01-30 09:44:15 UTC
(In reply to comment #1)
> * Rebuild failed on ppc64.
>   http://koji.fedoraproject.org/koji/taskinfo?taskID=377985
>   But it succeeds on i386 and x86_64??
> 

Fixed:
Spec URL: http://people.atrpms.net/~hdegoede/gt.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gt-0.4-2.fc9.src.rpm
koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=383559

> * By the way from what the name "soundfont-utils" came?
>   IMO this name is too different from the name of the "main" package
>   "gt".

The problem is that upstream has developed a set of ulities to convert various
soundfont formats to gravis ultrasound patch (.pat) format, and an experimental
version of timidity with some features added called gt.

Unfortunately upstream has put these both in the same package. I've chosen the
name soundfont-utils as that much better describes the functionality then gt-utils.


Comment 3 Mamoru TASAKA 2008-01-30 17:41:10 UTC
Seems good, however IMO the license should be GPLv2+.

Comment 4 Hans de Goede 2008-01-30 18:10:05 UTC
(In reply to comment #3)
> Seems good, however IMO the license should be GPLv2+.

You're right, corrected version here:

Spec URL: http://people.atrpms.net/~hdegoede/gt.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gt-0.4-3.fc9.src.rpm


Comment 5 Mamoru TASAKA 2008-01-30 18:19:12 UTC
(In reply to comment #4)
> Spec URL: http://people.atrpms.net/~hdegoede/gt.spec
This seems 0.4-2

> SRPM URL: http://people.atrpms.net/~hdegoede/gt-0.4-3.fc9.src.rpm
This seems 404... 



Comment 6 Hans de Goede 2008-01-30 18:24:41 UTC
Oops sorry,

My ssh-agent timeout expired and my scp command was sitting waiting for a
password while I was doing other stuff, its there now, really :)


Comment 7 Mamoru TASAKA 2008-01-30 18:27:07 UTC
Okay. Now I got your newest spec/srpm.

-----------------------------------------------------------------------------
    This package (gt) is APPROVED by me
-----------------------------------------------------------------------------

Comment 8 Hans de Goede 2008-01-30 18:35:21 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name:      gt
Short Description: Modified Timidity which supportes enhanced gus format patches
Owners:            jwrdegoede
Branches:          F-7 F-8
InitialCC:         
Cvsextras Commits: yes


Comment 9 Kevin Fenzi 2008-01-30 20:39:48 UTC
cvs done.

Comment 10 Mamoru TASAKA 2008-02-01 10:38:47 UTC
Closing as gt is now in dist-f9.


Note You need to log in before you can comment on or make changes to this bug.